<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>Kalk: Complex Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Kalk
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">A calculator for reals, imaginary and complex numbers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_complex.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Complex Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="model_2complex_8h_source.html">complex.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Complex:</div>
<div class="dyncontent">
<div class="center"><img src="class_complex__inherit__graph.png" border="0" usemap="#_complex_inherit__map" alt="Inheritance graph"/></div>
<map name="_complex_inherit__map" id="_complex_inherit__map">
<area shape="rect" id="node3" href="class_imaginary.html" title="Imaginary" alt="" coords="5,155,84,181"/>
<area shape="rect" id="node4" href="class_real.html" title="Real" alt="" coords="108,155,157,181"/>
<area shape="rect" id="node2" href="class_quaternion.html" title="Quaternion" alt="" coords="46,5,131,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Complex:</div>
<div class="dyncontent">
<div class="center"><img src="class_complex__coll__graph.png" border="0" usemap="#_complex_coll__map" alt="Collaboration graph"/></div>
<map name="_complex_coll__map" id="_complex_coll__map">
<area shape="rect" id="node2" href="class_quaternion.html" title="Quaternion" alt="" coords="5,5,91,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aad1482f77d08483997e23a34bca7436a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_complex.html#aad1482f77d08483997e23a34bca7436a">Complex</a> (double=0, double=0)</td></tr>
<tr class="separator:aad1482f77d08483997e23a34bca7436a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a968c6598071bc05d1fdd12d2d76c1848"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a968c6598071bc05d1fdd12d2d76c1848"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Complex</b> (std::string)</td></tr>
<tr class="separator:a968c6598071bc05d1fdd12d2d76c1848"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a899490bd9cb14cc3d739af42562cc5c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a899490bd9cb14cc3d739af42562cc5c3"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>polarAngle</b> () const </td></tr>
<tr class="separator:a899490bd9cb14cc3d739af42562cc5c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49121926ebb2f61b481da7d563d56acd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a49121926ebb2f61b481da7d563d56acd"></a>
virtual <a class="el" href="class_complex.html">Complex</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>pow</b> (double) const </td></tr>
<tr class="separator:a49121926ebb2f61b481da7d563d56acd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c0e3910f13ad4f2c395052d71721978"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4c0e3910f13ad4f2c395052d71721978"></a>
virtual <a class="el" href="class_complex.html">Complex</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>operator+</b> (const <a class="el" href="class_quaternion.html">Quaternion</a> &amp;) const </td></tr>
<tr class="separator:a4c0e3910f13ad4f2c395052d71721978"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac206931ffa0df4501ec9fcdff9584673"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac206931ffa0df4501ec9fcdff9584673"></a>
virtual <a class="el" href="class_complex.html">Complex</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>operator-</b> (const <a class="el" href="class_quaternion.html">Quaternion</a> &amp;) const </td></tr>
<tr class="separator:ac206931ffa0df4501ec9fcdff9584673"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d142e19fc27004cea1e85b029e084be"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9d142e19fc27004cea1e85b029e084be"></a>
virtual <a class="el" href="class_complex.html">Complex</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>operator*</b> (const <a class="el" href="class_quaternion.html">Quaternion</a> &amp;) const </td></tr>
<tr class="separator:a9d142e19fc27004cea1e85b029e084be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a431eb09396aefd77084bed776df8fb33"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a431eb09396aefd77084bed776df8fb33"></a>
virtual <a class="el" href="class_complex.html">Complex</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>operator/</b> (const <a class="el" href="class_quaternion.html">Quaternion</a> &amp;) const </td></tr>
<tr class="separator:a431eb09396aefd77084bed776df8fb33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3af3c23fbd7562f6acf1e6d6987f52f8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3af3c23fbd7562f6acf1e6d6987f52f8"></a>
virtual <a class="el" href="class_complex.html">Complex</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="class_quaternion.html">Quaternion</a> &amp;)</td></tr>
<tr class="separator:a3af3c23fbd7562f6acf1e6d6987f52f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a790d14e2dad2921462d854adeeea1672"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a790d14e2dad2921462d854adeeea1672"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="class_quaternion.html">Quaternion</a> &amp;) const </td></tr>
<tr class="separator:a790d14e2dad2921462d854adeeea1672"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a145a38e4a6350e961bf5e7452c6c93d3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a145a38e4a6350e961bf5e7452c6c93d3"></a>
virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><b>str</b> () const </td></tr>
<tr class="separator:a145a38e4a6350e961bf5e7452c6c93d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f46a47566651af12802c1a7d9c707e8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f46a47566651af12802c1a7d9c707e8"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>fromString</b> (std::string)</td></tr>
<tr class="separator:a9f46a47566651af12802c1a7d9c707e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_quaternion"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_quaternion')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_quaternion.html">Quaternion</a></td></tr>
<tr class="memitem:add874d1b96cc2dae1acd9869079d1897 inherit pub_methods_class_quaternion"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_quaternion.html#add874d1b96cc2dae1acd9869079d1897">Quaternion</a> (double=0, double=0, double=0, double=0)</td></tr>
<tr class="separator:add874d1b96cc2dae1acd9869079d1897 inherit pub_methods_class_quaternion"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44b4bd04b9c94077827458fcdeeebcf7 inherit pub_methods_class_quaternion"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a44b4bd04b9c94077827458fcdeeebcf7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Quaternion</b> (std::string)</td></tr>
<tr class="separator:a44b4bd04b9c94077827458fcdeeebcf7 inherit pub_methods_class_quaternion"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2d3fe9fb1ca6f17064302594956b408 inherit pub_methods_class_quaternion"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2d3fe9fb1ca6f17064302594956b408"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>realVal</b> () const </td></tr>
<tr class="separator:ad2d3fe9fb1ca6f17064302594956b408 inherit pub_methods_class_quaternion"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a491bc352c1eaa2c001a4446338903342 inherit pub_methods_class_quaternion"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a491bc352c1eaa2c001a4446338903342"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>imaginaryVal</b> () const </td></tr>
<tr class="separator:a491bc352c1eaa2c001a4446338903342 inherit pub_methods_class_quaternion"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23299adf173676683c8d4c3e14c8f24a inherit pub_methods_class_quaternion"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a23299adf173676683c8d4c3e14c8f24a"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>jVal</b> () const </td></tr>
<tr class="separator:a23299adf173676683c8d4c3e14c8f24a inherit pub_methods_class_quaternion"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a170012a9b6e99c120b14e37902528787 inherit pub_methods_class_quaternion"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a170012a9b6e99c120b14e37902528787"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>kVal</b> () const </td></tr>
<tr class="separator:a170012a9b6e99c120b14e37902528787 inherit pub_methods_class_quaternion"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d238c7a37bb73939d54a4859c5c21b2 inherit pub_methods_class_quaternion"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0d238c7a37bb73939d54a4859c5c21b2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setRealValue</b> (double)</td></tr>
<tr class="separator:a0d238c7a37bb73939d54a4859c5c21b2 inherit pub_methods_class_quaternion"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76e4bf86733dafc27e0dd77ad45aa3e1 inherit pub_methods_class_quaternion"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a76e4bf86733dafc27e0dd77ad45aa3e1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setImaginaryValue</b> (double)</td></tr>
<tr class="separator:a76e4bf86733dafc27e0dd77ad45aa3e1 inherit pub_methods_class_quaternion"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabeb05ef05ad0dd1658284879a8de57b inherit pub_methods_class_quaternion"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aabeb05ef05ad0dd1658284879a8de57b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setJValue</b> (double)</td></tr>
<tr class="separator:aabeb05ef05ad0dd1658284879a8de57b inherit pub_methods_class_quaternion"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63017c3100acf5eb8ae8e94bb4aa5fad inherit pub_methods_class_quaternion"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a63017c3100acf5eb8ae8e94bb4aa5fad"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setKValue</b> (double)</td></tr>
<tr class="separator:a63017c3100acf5eb8ae8e94bb4aa5fad inherit pub_methods_class_quaternion"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5be74768bcc366ea59a9c6adffdcdd4e inherit pub_methods_class_quaternion"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5be74768bcc366ea59a9c6adffdcdd4e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>zero</b> ()</td></tr>
<tr class="separator:a5be74768bcc366ea59a9c6adffdcdd4e inherit pub_methods_class_quaternion"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab724821dd2a246b6934deaa1cc1dacf3 inherit pub_methods_class_quaternion"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab724821dd2a246b6934deaa1cc1dacf3"></a>
virtual <a class="el" href="class_quaternion.html">Quaternion</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>conjugate</b> () const </td></tr>
<tr class="separator:ab724821dd2a246b6934deaa1cc1dacf3 inherit pub_methods_class_quaternion"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bb1e1e0734e8bb66a8295f04dd5793d inherit pub_methods_class_quaternion"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8bb1e1e0734e8bb66a8295f04dd5793d"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>abs</b> () const </td></tr>
<tr class="separator:a8bb1e1e0734e8bb66a8295f04dd5793d inherit pub_methods_class_quaternion"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a808afdd0244fbc00d6345a941672c5d8 inherit pub_methods_class_quaternion"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a808afdd0244fbc00d6345a941672c5d8"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;</b> (const <a class="el" href="class_quaternion.html">Quaternion</a> &amp;) const </td></tr>
<tr class="separator:a808afdd0244fbc00d6345a941672c5d8 inherit pub_methods_class_quaternion"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3637ff28646492d7201db1fdd8dce951 inherit pub_methods_class_quaternion"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3637ff28646492d7201db1fdd8dce951"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator&gt;</b> (const <a class="el" href="class_quaternion.html">Quaternion</a> &amp;) const </td></tr>
<tr class="separator:a3637ff28646492d7201db1fdd8dce951 inherit pub_methods_class_quaternion"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a413d6b392b665376c6e82d42a8cbd9d4 inherit pub_methods_class_quaternion"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a413d6b392b665376c6e82d42a8cbd9d4"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="class_quaternion.html">Quaternion</a> &amp;) const </td></tr>
<tr class="separator:a413d6b392b665376c6e82d42a8cbd9d4 inherit pub_methods_class_quaternion"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a6e8b6fe81481f355b00098bfa945bcde"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6e8b6fe81481f355b00098bfa945bcde"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;, const <a class="el" href="class_complex.html">Complex</a> &amp;)</td></tr>
<tr class="separator:a6e8b6fe81481f355b00098bfa945bcde"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_attribs_class_quaternion"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_class_quaternion')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="class_quaternion.html">Quaternion</a></td></tr>
<tr class="memitem:adc544a36e7b14da81f6571e6fe53d794 inherit pub_static_attribs_class_quaternion"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adc544a36e7b14da81f6571e6fe53d794"></a>
static double&#160;</td><td class="memItemRight" valign="bottom"><b>epsilon</b> = 0.0000001</td></tr>
<tr class="separator:adc544a36e7b14da81f6571e6fe53d794 inherit pub_static_attribs_class_quaternion"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Copyright 2018 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aad1482f77d08483997e23a34bca7436a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Complex::Complex </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>real</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>imaginary</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Copyright 2018 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>kalk/model/<a class="el" href="model_2complex_8h_source.html">complex.h</a></li>
<li>kalk/model/complex.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_complex.html">Complex</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
